      program example1
      implicit real*8(a-h,o-z)
      character name*64
      real*8 f(-6:6)
      character*20 lparm
      Dimension Z(10), XX(10)
      Data (Z(I), I=1,10) /0.05, .1, .2, .3, .4, .5, .6, .7, .8, .9/
*
      Do I = 1, 10
      XX(I) = Z(I) **3
      EndDo

c      name='cteq61.LHpdf'
      name='cteq65.LHgrid'
c      name='MRST2006nnlo.LHgrid'
c      name='H12000ms.LHgrid'
      call InitPDFsetByName(name)
*
      QMZ=91.18d0
      write(*,*)
      call numberPDF(N)
       do i=0,N
         write(*,*) '---------------------------------------------'
         call InitPDF(i)
         write(*,*) 'PDF set ',i
         call GetXmin(i,xmin)
         call GetXmax(i,xmax)
         call GetQ2min(i,q2min)
         call GetQ2max(i,q2max)
	 print *,'xmin=',xmin,' xmax=',xmax,' Q2min='
     +                 ,q2min,' Q2max=',q2max
         call GetMinMax(i,xmin,xmax,q2min,q2max)
	 print *,'xmin=',xmin,' xmax=',xmax,' Q2min='
     +                 ,q2min,' Q2max=',q2max
         call setlhaparm('EXTRAPOLATE')
         call getlhaparm(18,lparm)
	 print *,'lhaparm(18)=',lparm
         write(*,*)
         a=alphasPDF(QMZ)
         write(*,*) 'alpha_S(M_Z) = ',a
         write(*,*)
         write(*,*) 'x*up'
         write(*,*) '   x     Q=10 GeV     Q=100 GeV    Q=1000 GeV'
         q = 50.0d0
         print *,q
         do ix=1,10
c	    x = (ix-0.5d0)/10.0d0
            x = xx(ix)
            call evolvePDF(x,Q,f)
            g = f(0)
            u = f(2)
            d = f(1)
            s = f(3)
            c = f(4)
            b = f(5)
            ubar = f(-2)
            dbar = f(-1)
            sbar = f(-3)
            cbar = f(-4)
            bbar = f(-5)
            write(*,'(F7.4,11(1pE10.3))') 
     +    x,u,d,ubar,Dbar,s,sbar,c,cbar,b,bbar,g
         enddo
      enddo
*
      end
